clear all
load dataS3 J T soz srace scr neigh  

temp=importdata('../Est_Data/neigh_county_map.txt');
temp(temp(:,2)==78,2) =81;
for i=1:J
    county(i,1)=temp(find(neigh(i)==temp(:,1)),2);
end
countyvals=unique(county);
for i=1:length(countyvals)
    county(county==countyvals(i))=i;
end

temp2 = repmat(county,T,1);
tt2 = temp2(1:end);
cdum = dummyvar(tt2);
cduma= cdum(:,2:end);

tt3=[1:1:T]';
tdum=dummyvar((kron(tt3,ones(J,1))));
tduma = tdum(:,2:end-1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

rhs = [ srace scr soz ones(J*T,1) cduma tduma ];
rhs = rhs(1:end-J,:);

lhs = [srace(J+1:end)-srace(1:end-J) scr(J+1:end)-scr(1:end-J) soz(J+1:end)-soz(1:end-J)];

for i=1:3
[b(:,i),~,r(:,i)] = regress(lhs(:,i),rhs);
s(:,i) = sqrt(diag((mean(r(:,i).^2))*inv(rhs'*rhs)));
beta(:,i) = b(1:3,i);
se(:,i) = s(1:3,i);
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

amtranprobs = zeros(6,3);
for i=1:3
    amtranprobs(2*(i-1)+1,:) = beta(i,:);
    amtranprobs(2*(i-1)+2,:) = se(i,:);
end

save amtranprobs amtranprobs


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load dataS3

%PRICE TRANSITION REGRESSION
nlag = 2;
nchng=2;
temp2 = repmat([1:1:J]',T,1);
tt2 = temp2((nchng*J) + 1:end);
dum = dummyvar(tt2);

%tract specific time trend
tt3=[nchng+1:1:T]';
tdum=kron(kron(tt3,ones(J,1)),ones(1,J)).*dum;

taubd= zeros(nlag+2*J+(T-nchng),1); taused = taubd; tauresd=zeros(J*T - nchng*J,1);
tempa = [reshape(meanpricecs(1:J,:),J*T,1),soz,srace,scr];
templag1a=[zeros(J,4);tempa(1:(end-J),:)];
templag2a=[zeros(2*J,4);tempa(1:(end-2*J),:)];

rhs=[templag1a,templag2a];
y=tempa(:,1);
y=y(2*J+1:end);
Z=[dum,tdum,rhs(2*J+1:end,:)];

[beta,bint,r,rint,stats] = regress(y,Z);
se = sqrt(diag((mean(r.^2))*inv(Z'*Z)));

beta = beta(2*J+1:2*J+8);
se = se(2*J+1:2*J+8);

ptranprobs = zeros(16,1);
for i=1:8
    ptranprobs(2*(i-1)+1,:) = beta(i);
    ptranprobs(2*(i-1)+2,:) = se(i);
end

save ptranprobs ptranprobs
