% estimate transition process and continuation term
%clear all
load dataS3

%value transition regressions.  
for m = 1:Mb

temp = [reshape(valuetildeMb(m,1:J,:),J*T,1),soz,srace,scr,reshape(meanpricecs(1:J,:),J*T,1)];

templag1=[zeros(J,5);temp(1:(end-J),:)];
templag2=[zeros(2*J,5);temp(1:(end-2*J),:)];
y=temp(:,1);
rhs=[templag1,templag2];

y=y(2*J+1:end);
Z=[dum,tdum,rhs(2*J+1:end,:)];

bd(:,m)=inv(Z'*Z)*Z'*y; 
resd(:,m)=y-Z*bd(:,m);

%outside option--don't have other x variables for outside option
temp = [squeeze(squeeze(valuetildeMb(m,J+1,:)))];
templag1=[zeros(1,1);temp(1:(end-1),:)];
templag2=[zeros(2*1,1);temp(1:(end-2*1),:)];
y=temp;
rhs=[templag1,templag2];
y=y(2*1+1:end);
Z=[ones(length(y),1),[3:1:T]',rhs(2*1+1:end,:)];
outcoeffs(:,m)=inv(Z'*Z)*Z'*y;
resdo(:,m)=y-Z*outcoeffs(:,m);
end

%PRICE TRANSITION REGRESSION
nlag = 2;
nchng=2;
temp2 = repmat([1:1:J]',T,1);
tt2 = temp2((nchng*J) + 1:end);
dum = dummyvar(tt2);

%neighborhood specific time trend
tt3=[nchng+1:1:T]';
tdum=kron(kron(tt3,ones(J,1)),ones(1,J)).*dum;

  
tempa = [reshape(meanpricecs(1:J,:),J*T,1),soz,srace,scr];
templag1a=[zeros(J,4);tempa(1:(end-J),:)];
templag2a=[zeros(2*J,4);tempa(1:(end-2*J),:)];

rhs=[templag1a,templag2a];
y=tempa(:,1);
y=y(2*J+1:end);
Z=[dum,tdum,rhs(2*J+1:end,:)];

taubd=inv(Z'*Z)*Z'*y;
tauresd=y-Z*taubd;
n = length(Z(:,1));k=size(Z,2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SIMULATION OF CONTINUATION TERM

rand('state',111666);

nlag = 1;
nchng=nlag+1;

%COEFFICIENTS FROM value AND PRICE TRANSITION REGRESSIONS
%define kappa0, kappa1, alpha11, alpha12, alpha21, alpha22, res
kappa0 = bd(1:J,:)';
kappa1=bd(J+1:2*J,:)';

alpha11 = bd(2*J+1:2*J+5,:);
alpha12 = bd(2*J+6:2*J+10,:);  

beta = 0.95; %set discount factor;
R=10000; %set number of draws for integration

resddraws = zeros(Mb,R); resdodraws = zeros(Mb,R);
for m = 1:Mb
resddraws(m,:) = repdraws(R,resd(:,m));
resdodraws(m,:) = repdraws(R,resdo(:,m));
end

omega0 = taubd(1:J);
omega1=taubd(J+1:2*J);
gamma11 = taubd(2*J+1:2*J+4);
gamma12 = taubd(2*J+5:2*J+8);
taudraws = repdraws(R,tauresd);

utiltildeMSb = zeros(MSb,J,T); 
truetprk=zeros(J+1,1);
 
tempk = zeros(Mb,J,T); outtemp = zeros(Mb,T);
for m= 1:Mb
    for t = 1:T
        tempk(m,:,t) = [valuetildeMb(m,1:J,t)',ozdays(1:J,t),srace2(1:J,t),crimedays(1:J,t),meanpricecs(1:J,t)]*alpha11(:,m) + [valuetildeMb(m,1:J,max(t-1,1))',ozdays(1:J,max(t-1,1)),srace2(1:J,max(t-1,1)),crimedays(1:J,max(t-1,1)),meanpricecs(1:J,max(t-1,1))]*alpha12(:,m) + kappa0(m,:)' + kappa1(m,:)'*(t+1);
        outtemp(m,t)  = outcoeffs(3,m)*valuetildeMb(m,J+1,t) + outcoeffs(4,m)*valuetildeMb(m,J+1,max(t-1,1)) + outcoeffs(1,m) + outcoeffs(2,m)*(t+1);
    end
end

tempktt = []; outtemptt = [];
for h = 1:numtype
tempktt = [tempktt;tempk];
outtemptt = [outtemptt; outtemp];
end

bigtempk = tempktt + indicb(:,1:J,:).*phiMSb(:,1:J,:);
bigouttemp = outtemptt;

mts = zeros(J,MSb); mtm = zeros(J,MSb); temp = zeros(MSb,J,R);wealthprs = zeros(J,MSb);wealthprm = zeros(J,MSb);
count = [0:1:J-1]';

tic
for t=2:T 
            wealthprtempbar = [meanpricecs(:,t),ozdays(:,t),srace2(:,t),crimedays(:,t)]*gamma11+[meanpricecs(:,max(t-1,1)),ozdays(:,max(t-1,1)),srace2(:,max(t-1,1)),crimedays(:,max(t-1,1))]*gamma12 + omega0+omega1*(t+1);
            ePMC = [exp(PMC1 + mctt*(t)) ]; 
            
            taueres = zeros(J,R);
            for j= 1:J
                tempdrawind = randsample(R,R,false);
                taueres(j,:) = taudraws(tempdrawind);
            end
            
            eres = zeros(MSb,J+1,R);
            for m = 1:Mb
                for j=1:J
                tempdrawind = randsample(R,R,false);
                    for h = 1:numtype
                        eres(m + (h-1)*Mb ,j,:) = resddraws(m,tempdrawind);
                    end
                end
                tempdrawind = randsample(R,R,false);
                for h = 1:numtype
                eres(m + (h-1)*Mb ,J+1,:) = resdodraws(m,tempdrawind);
                end
            end
         
            for r=1:R  
                wealthprtemp = wealthprtempbar + taueres(:,r);
                truetprk= [bigtempk(:,:,t)' + eres(:,1:J,r)' ; bigouttemp(:,t)' + eres(:,J+1,r)'];
                
                etruetprk = exp(truetprk); 
                etruetprkprime = etruetprk';
                
                fm = wealthprtemp - meanpricecs(:,t)-.06*wealthprtemp;
                efmu = exp(fm*gammafmctau');
                fs = wealthprtemp - meanpricecs(:,t);
                efsu = exp(fs*gammafmctau');
                              
                for m = 1:MSb
                    wealthprs(:,m) = round(min(maxw,max(ZvalsbS(m,1)+wealthprtemp - meanpricecs(:,t),minw)));
                    wealthprm(:,m) = round(min(maxw,max(ZvalsbS(m,1)+wealthprtemp - meanpricecs(:,t)-.06*wealthprtemp,minw)));
                    tempind = find([Zvalsb(:,2)==ZvalsbS(m,2)]); 
                    mts(:,m) = tempind(wealthprs(:,m)+1) +  (ZvalsbS(m,3)-1).*Mb; 
                    mtm(:,m) = tempind(wealthprm(:,m)+1) +  (ZvalsbS(m,3)-1).*Mb; 
                end

                sumetpr = (sum(etruetprk)./( ePMC' ))';
                for m = 1:MSb             
                    tempindex = mts(:,m) + MSb*count;
                    %tempindex = sub2ind(size(etruetprkprime),mts(:,m),[1:1:J]' );
                    temp(m,:,r) =  (sumetpr(mtm(:,m))).*efmu(:,m)  + etruetprkprime(tempindex).*efsu(:,m)  ;  
                end            
            end   
                FV = mean(log(temp),3)+ 0.577215665;                 
                utiltildeMSb(:,1:J,t) = valuetildeMSb(:,1:J,t) - beta*FV;
end

valueMSb = zeros(MSb,J+1,T);
for m = 1:MSb
    valueMSb(m,:,:) = valuetildeMSb(m,:,:)+mtau(m);
end
utilMSb = zeros(MSb,J,T);
for m = 1:MSb
    utilMSb(m,:,:) = utiltildeMSb(m,:,:)+mtau(m);
end
utilMSb(:,:,1) = 0;
toc
 
clearvars all * -except util* value* bd bb taubd outcoeffs  resd resdo tauresd alphatau paramhatS2 S2coeffs outcoeffs  J T Mb MSb meanpricecs Zvalsb ZvalsbS neigh income...
    soz srace scr meanpricecs dum tdum ozdays srace2 crimedays alpha* sqft beta neigh_county_map gammafmctau xyear xtract xrace polldata crimedata phi bb alpha11 alpha12 gamma11 gamma12 phip temppie ...
    quinpricecs10 

save resS3 
