%clear all
load resS2

paramhatS2=-paramhatS2;

gammapmc = []; gammafmc= []; ZvalsbS = [];
for h = 1:numtype
    gammapmc = [gammapmc; paramhatS2([1 2])];
    gammafmc = [gammafmc; paramhatS2([4 5])];
    ZvalsbS = [ZvalsbS; Zvalsb h*ones(Mb,1)];
end

temp =[];
for h = 1:numtype 
    temp = [temp ones(MSb,1).*(ZvalsbS(:,3)==h) ZvalsbS(:,2).*(ZvalsbS(:,3)==h)];
end    
gammafmctau = temp*gammafmc;

mtau = zeros(MSb,1);
for m =1:MSb
    mtau(m) = gammafmctau(m)*(ZvalsbS(m,1));
end

valuetildeMSb = valuetildeMSa(indexb,:,:);
valuetildeMb = valuetildeMa(indexb(1:MSb/numtype),:,:);

indicb = indic(indexb,:,:);
phiMSb = phiMSa(indexb,:,:);

%calculate time invarient psychological moving costs, PMC1, for each type.
temp =[];
for h = 1:numtype 
    temp = [temp ones(MSb,1).*(ZvalsbS(:,3)==h) ZvalsbS(:,2).*(ZvalsbS(:,3)==h)];
end    
PMC1 = temp*gammapmc;

%moving cost time trend coefficient
mctt=paramhatS2(3);

app94 = 0*totapp;
for t = 1:T
    app94(:,t) = totapp(:,t)./totapp(:,1);
end

%For all races
nobsallr=length(ztractallr);
nhoodallr = zeros(nobsallr,1);
for i= 1:nobsallr
    nhoodallr(i) = find(neigh==ztractallr(i));
end

adj = zeros(nobsallr,1);
for i = 1:nobsallr
    adj(i) = app94(nhoodallr(i),zyearallr(i)-1993);
end

adj = 1./adj;

%Price is for all races
adjprice = priceallr10.*adj;

meanpricecs=zeros(J,11);

for j=1:J         
meanpricecs(j,1) = mean(adjprice(ztractallr==neigh(j))) ;

meanpricecs(j,2) = meanpricecs(j,1)*app94(j,2);
meanpricecs(j,3) = meanpricecs(j,1)*app94(j,3);
meanpricecs(j,4) = meanpricecs(j,1)*app94(j,4);
meanpricecs(j,5) = meanpricecs(j,1)*app94(j,5);
meanpricecs(j,6) = meanpricecs(j,1)*app94(j,6);
meanpricecs(j,7) = meanpricecs(j,1)*app94(j,7);
meanpricecs(j,8) = meanpricecs(j,1)*app94(j,8);
meanpricecs(j,9) = meanpricecs(j,1)*app94(j,9);
meanpricecs(j,10) = meanpricecs(j,1)*app94(j,10);
meanpricecs(j,11) = meanpricecs(j,1)*app94(j,11);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% added for liquidity constraint analysis
quinpricecs10=zeros(J,11);

for j=1:J         
quinpricecs10(j,1) = prctile(adjprice(ztractallr==neigh(j)),10) ;

quinpricecs10(j,2) = quinpricecs10(j,1)*app94(j,2);
quinpricecs10(j,3) = quinpricecs10(j,1)*app94(j,3);
quinpricecs10(j,4) = quinpricecs10(j,1)*app94(j,4);
quinpricecs10(j,5) = quinpricecs10(j,1)*app94(j,5);
quinpricecs10(j,6) = quinpricecs10(j,1)*app94(j,6);
quinpricecs10(j,7) = quinpricecs10(j,1)*app94(j,7);
quinpricecs10(j,8) = quinpricecs10(j,1)*app94(j,8);
quinpricecs10(j,9) = quinpricecs10(j,1)*app94(j,9);
quinpricecs10(j,10) = quinpricecs10(j,1)*app94(j,10);
quinpricecs10(j,11) = quinpricecs10(j,1)*app94(j,11);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nlag = 2;
nchng=2;

temp2 = repmat([1:1:J]',T,1);

tt2 = temp2((nchng*J) + 1:end);
dum = dummyvar(tt2);

%neighborhood specific time trend
tt3=[nchng+1:1:T]';
tdum=kron(kron(tt3,ones(J,1)),ones(1,J)).*dum;

bd= zeros(460,MSb); sed = bd;resd=zeros(J*T - nchng*J,MSb);  statsd=zeros(4,MSb);tstats=bd; outcoeffs=zeros(4,MSb);resdo=zeros(1*T - nchng*1,MSb);

ozdays=zeros(length(neigh),T);
for i=1:length(neigh)
temp1=find(neigh(i)==polldata(:,1));
ozdays(i,:)=polldata(temp1,8:18);
end

crimedays=zeros(length(neigh),T);
for i=1:length(neigh)
temp1=find(neigh(i)==crimedata(:,1));
crimedays(i,:)=crimedata(temp1,2:end);
end

%get race data in format of sort year tract
tem1=[xyear xtract xrace];
tem2=sortrows(tem1,[1,2]);
srace=tem2(:,3);

%get race in same format as pollution
srace2=reshape(srace,J,T);

soz=[];scr=[];
for t=1:11
soz=[soz;ozdays(:,t)];
scr=[scr;crimedays(:,t)];
end

clearvars all * -except Ztype Zvalsb ZvalsbS income...
    K b2 bb Mb MSb J T neigh totapp incvals nhoodallr ztractallr zyearallr priceallr10 maxw minw maxi mini...
    valuetilde* gamma paramhatS2 gammafmctau mctt PMC1 phi* S2coeffs ...
    soz srace scr meanpricecs dum tdum ozdays srace2 crimedays numtype ...
     indicb vbigb mtau neigh_county_map xyear xtract xrace polldata crimedata phip temppie ...
     quinpricecs10 
  
save dataS3