% this file reads in the data from stata
% xdata is a subset of neighborhood chars
% zdata is individual/house data

clearvars all * -except bb

load ../Est_Data/neigh_race.raw
load ../Est_Data/neigh_price_index.raw
zdata=importdata('../Est_Data/zdata.raw');

X = neigh_race; Z =zdata; R = neigh_price_index;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
xtract = X(:,1);
xyear = X(:,2);
xrace = X(:,3)*100;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%reads in Case Shiller neighborhood appreciation indexes
rtract = R(:,1);
totapp = [ones(size(rtract)) exp(R(:,2:end-1))];
%only want app for 1994:2004
totapp = totapp(:,5:end);

%get all obs for calculation of mean prices
ztractallr = Z(:,11);
zyearallr = Z(:,1);
priceallr10=Z(:,9)/10000;

%use only whites
index = Z(:,6)==1;
Z=Z(index,:);% keep if race == white

index = Z(:,7)<=240;
Z=Z(index,:);% keep if income is below threshold
index = Z(:,8)<=240000;
Z=Z(index,:);% keep if wealth is below threshold

load bootflag
if bootflag == 1
load seeds
%resample original dataset after restricted to whites
nobs=length(Z(:,1));
rand('state',seeds(bb));
bootindex=randsample(nobs,nobs,true);
Z=Z(bootindex,:);
end

zyear  = Z(:,1);
race  = Z(:,2);
apasian = Z(:,3);
apblack = Z(:,4);
aphisp  = Z(:,5);
apwhite = Z(:,6);
income= Z(:,7);
downp = Z(:,8)/1000;
price = Z(:,9)/1000;
fsyear = Z(:,10);
ztract = Z(:,11);
fpyear=Z(:,12); fpyear(isnan(fpyear)) = 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
neigh_county_map=importdata('../Est_Data/neigh_county_map.txt');
neigh_county_map(neigh_county_map(:,2)==78,2) =81;

%bring in pollution data
polldata=importdata('../Est_Data/neigh_pollution.txt');

%bring in crime data 
crimedata=importdata('../Est_Data/neigh_crime.txt');

clear X Z R xdata zdata repsaledata 

save matdata