%clear all
load S1data share Ma J T neigh neigh_county_map Zvalsa
load resS3 ozdays crimedays meanpricecs srace2 xrace
load bootflag

for i=1:J
    countyt(i,1)=neigh_county_map(find(neigh(i)==neigh_county_map(:,1)),2);
 end

ozdaysvec=[];countyvec=[];ozvec=[];crvec=[];rvec=[];meanpricevec=[];
ozlvec=[];crlvec=[];rlvec=[];meanpricelvec=[];srace2lvec = [];srace2vec=[];

%create lags
ozdaysl = [zeros(J,1) ozdays(:,1:end-1)]; 
crimedaysl =  [zeros(J,1) crimedays(:,1:end-1)]; 
meanpricecsl =  [zeros(J,1) meanpricecs(:,1:end-1)];
srace2l =  [zeros(J,1) srace2(:,1:end-1)];


for m= 1:Ma
    temp =[];temp1=[];temp2=[];
    for j=1:J
       temp = [temp; [-999; squeeze(share(m,j,2:T))]];
       if(m==1)
        countyvec=[countyvec;countyt(j)*ones(T,1)];
        meanpricevec = [meanpricevec;meanpricecs(j,:)'];
        ozvec=[ozvec;ozdays(j,:)'];
        crvec=[crvec;crimedays(j,:)'];
        srace2vec=[srace2vec;srace2(j,:)'];
        meanpricelvec = [meanpricelvec;meanpricecsl(j,:)'];
        ozlvec=[ozlvec;ozdaysl(j,:)'];
        crlvec=[crlvec;crimedaysl(j,:)'];
        srace2lvec=[srace2lvec;srace2l(j,:)'];
        end
    end
   shareMavec(:,m) = temp;
end



tr = kron([1:1:J]',ones(T,1)); 
yr=[];
for i= 1:J
    yr = [yr; [1:1:T]'];
end


xracel =srace2lvec; 
Z=[];lhs =[];
for m=1:Ma
    index = find(shareMavec(:,m)~=-999);
    d=[ozvec,xrace,crvec,meanpricevec,countyvec,yr];
    dl=[ozlvec,xracel,crlvec, meanpricelvec];
    Z = [Z;d(index,:) dl(index,:)]; 
    lhs=[lhs;shareMavec(index,m)];
end

awealth=kron(Zvalsa(:,1)+1,ones(J*(T-1),1));
ainc=kron(Zvalsa(:,2)+1,ones(J*(T-1),1));

Z=[Z,awealth,ainc];

county=Z(:,5);

%get counties and inc in units so can use dummyvar command
t2cty=unique(county);
for i=1:length(t2cty)
    county(county==t2cty(i))=i;
end
inc=ainc;
t2cty=unique(inc);
for i=1:length(t2cty)
    inc(inc==t2cty(i))=i;
end

year = Z(:,6) -1;
Zl = Z(:,[8 9 7 10]);
Z = Z(:,[2 3 1 4]);

wealthdum = dummyvar(awealth);  wealthduma = wealthdum(:,2:end);
incdum = dummyvar(inc);  incduma = incdum(:,2:end);
countydum = dummyvar(county);  countyduma = countydum(:,2:end);
yeardum = dummyvar(year);  yearduma = yeardum(:,2:end);

X = [ones(size(lhs)) Z countyduma wealthduma  incduma  yearduma  ]; 
[betanodiff,~,r] = regress(1000*lhs,X);
senodiff = sqrt(diag(mean(r.^2)*inv(X'*X))); tnodiff = betanodiff./senodiff;

X = [ones(size(lhs)) Z Zl countyduma wealthduma  incduma  yearduma ]; 
[betal,bint,r,rint,stats] = regress(1000*lhs,X);

res1 = [[betanodiff(1:5);0;0;0;0;betanodiff(6:end)]  betal ];
  
if bootflag == 0
nbn = 1;
bb=1;
end

if bb == 1
dyevids =zeros(nbn,8,2); 
end
if bb >1
    load dyevidb dyevids 
end

dyevids(bb,:,:) = res1(2:9,:);

dyevids = squeeze(dyevids); 

if bootflag == 0
save dyevid dyevids 

elseif bootflag == 1
save dyevidb dyevids  bb
end

