% get measures of fit
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load S1data  valuetildeindex denomindex nobs numtype 
load resS2 valuetildeMa valuetildeMSa MSa J T piep

temp1 = zeros(MSa,T); temp5 = zeros(MSa,T); temp10 = zeros(MSa,T); temp25 = zeros(MSa,T); temp50 = zeros(MSa,T);
for m=1:MSa
     for t=1:T
         temp1(m,t) = prctile(valuetildeMSa(m,1:J,t),99);
         temp5(m,t) = prctile(valuetildeMSa(m,1:J,t),95);
         temp10(m,t) = prctile(valuetildeMSa(m,1:J,t),90); 
         temp25(m,t) = prctile(valuetildeMSa(m,1:J,t),75); 
         temp50(m,t) = prctile(valuetildeMSa(m,1:J,t),50);
     end
end

in1 = zeros(nobs,numtype);in5 = zeros(nobs,numtype); in10 = zeros(nobs,numtype); in25 = zeros(nobs,numtype); in50 = zeros(nobs,numtype);
for h= 1:numtype
    in1(:,h) = valuetildeMSa(valuetildeindex(:,h))>temp1(denomindex(:,h));
    in5(:,h) = valuetildeMSa(valuetildeindex(:,h))>temp5(denomindex(:,h));
    in10(:,h) = valuetildeMSa(valuetildeindex(:,h))>temp10(denomindex(:,h));
    in25(:,h) = valuetildeMSa(valuetildeindex(:,h))>temp25(denomindex(:,h));
    in50(:,h) = valuetildeMSa(valuetildeindex(:,h))>temp50(denomindex(:,h));
end

load resS2 piep paramhatS2 valuetildeMSa numtype  J
load S1data nobs  S2vecindex...
    valuetildeindex denomindex nll dec_sx y_sx x_sx ...
    indevs2 indevs3 indevs4 indevs5 indevs6 indevs7 indevs8 indevs9 indevs10 indevs11...
    indevm2 indevm3 indevm4 indevm5 indevm6 indevm7 indevm8 indevm9 indevm10 indevm11...
    indevo2 indevo3 indevo4 indevo5 indevo6 indevo7 indevo8 indevo9 indevo10 indevo11...
    Ma

q = condprob(piep,paramhatS2,valuetildeMSa,numtype, J, nobs, S2vecindex,...
    valuetildeindex, denomindex, nll, dec_sx, y_sx, x_sx, ...
    indevs2, indevs3, indevs4, indevs5, indevs6, indevs7, indevs8, indevs9, indevs10, indevs11,...
    indevm2, indevm3, indevm4, indevm5, indevm6, indevm7, indevm8, indevm9, indevm10, indevm11,...
    indevo2, indevo3, indevo4, indevo5, indevo6, indevo7, indevo8, indevo9, indevo10, indevo11,...
    Ma);

in1sumq = zeros(nobs,1);in5sumq = zeros(nobs,1); in10sumq = zeros(nobs,1); in25sumq = zeros(nobs,1); in50sumq = zeros(nobs,1);
for h = 1:numtype
    in1sumq = in1sumq + in1(:,h).*q(:,h);
    in5sumq = in5sumq + in5(:,h).*q(:,h);
    in10sumq = in10sumq + in10(:,h).*q(:,h);
    in25sumq = in25sumq + in25(:,h).*q(:,h);
    in50sumq = in50sumq + in50(:,h).*q(:,h);
end

[1 5 10 25 50;...
    mean(in1sumq) mean(in5sumq) mean(in10sumq) mean(in25sumq) mean(in50sumq);...
floor(prctile([1:1:J],1)) floor(prctile([1:1:J],5)) floor(prctile([1:1:J],10)) floor(prctile([1:1:J],25)) floor(prctile([1:1:J],50))]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load dataS3 J T soz srace scr neigh  valuetildeMSb MSb Mb  paramhatS2 meanpricecs numtype Zvalsb ZvalsbS
evaluetildeMSb = exp(valuetildeMSb);
esumvalue = squeeze(sum(evaluetildeMSb(:,1:J,:),2));
moveprob = zeros(MSb,J,T);
for m= 1:MSb
    for t=1:T
        for j = 1:J
            xx = [1  ZvalsbS(m,2) t .06*meanpricecs(j,t) ZvalsbS(m,2).*.06*meanpricecs(j,t)];
            emcmtj = exp( -xx*paramhatS2);
        moveprob(m,j,t) = 1 - evaluetildeMSb(m,j,t)/((esumvalue(m,t).*emcmtj) + evaluetildeMSb(m,j,t)) ;
        end
    end
end
incvalsb = [4 12 20]';
mp = zeros(3,1);
for m = 1:3    
tempind = find(ZvalsbS(:,2)==incvalsb(m));
temp = moveprob(tempind,:,:);
mp(m)= mean(mean(mean(temp)));
end
mp'

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load S1data y_sx x_sx 
temp = round(x_sx(:,2));
incvalsb = [4 12 20]';
move = zeros(3,1);
for m = 1:3    
move(m)= mean(y_sx(temp==incvalsb(m)));
end
move'

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load matdata downp price
liqconviolate = mean(downp./price<.095)

