clear all

zdata=importdata('../Est_Data/zdata.raw');
Z =zdata; 

%use only whites
index = Z(:,6)==1;
Z=Z(index,:);% keep if race == white

index = Z(:,7)<=240;
Z=Z(index,:);% keep if income is below threshold
index = Z(:,8)<=240000;
Z=Z(index,:);% keep if wealth is below threshold



fsyear = Z(:,10);
ztract = Z(:,11);
fpyear=Z(:,12); fpyear(isnan(fpyear)) = 0;
fptract=Z(:,13); fptract(isnan(fptract)) = 0;

neigh_county_map=importdata('../Est_Data/neigh_county_map.txt');
neigh_county_map(neigh_county_map(:,2)==78,2) =81;


nobs = length(ztract); 
 
 neigh_county_map = [neigh_county_map; [0,0]];

countyi = zeros(nobs,1); fpcountyi = zeros(nobs,1);
for i = 1:nobs
    temp = find(neigh_county_map(:,1)==ztract(i));
    countyi(i) = neigh_county_map(temp,2);
    temp = find(neigh_county_map(:,1)==fptract(i));
    fpcountyi(i) = neigh_county_map(temp,2);
end

% 1 (SF):  San Francisco County, Marin County, San Mateo County
% 2 (South Bay):  Santa Clara County
% 3 (East Bay): Alameda County, Contra Costa County
% define geography 
typei = 1*[countyi == 41 | countyi == 75 | countyi == 81] + 2*[countyi == 85]  + 3*[countyi == 1 | countyi == 13] ;
fptypei = 1*[fpcountyi == 41 | fpcountyi == 75 | fpcountyi == 81] + 2*[fpcountyi == 85]  + 3*[fpcountyi == 1 | fpcountyi == 13] ;

index = find(fpyear~=0);
typeim = typei(index);
fptypeim = fptypei(index);

samereg = (typeim==fptypeim);
mean(samereg)