clear all

load table1adata
temp = [income downp price race zyear];
matrix = [length(temp)*ones(5,1) mean(temp)' std(temp)' min(temp)' max(temp)'];
rowLabels = {'Income',  'Down Payment', 'Sales Price', 'White', 'Year'};
matrix2latex_a1(matrix, 'out1a.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);

load table1bdata
temp = [xrace crvec ozvec 10*meanpricevec];
matrix = [length(temp)*ones(4,1) mean(temp)' std(temp)' min(temp)' max(temp)'];
rowLabels = {'Percent White',  'Violent Crime', 'Ozone', 'Sales Price'};
matrix2latex_a1(matrix, 'out1b.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load resS4uh1 MCres
load bootcollectres MCresb
matrix = [MCres(1),std(MCresb(:,1)),MCres(2)/10,std(MCresb(:,2)/10),MCres(3),std(MCresb(:,3))]';

rowLabels = {'Constant', '', 'Income', '', '$t$', ''};
matrix2latex_a2(matrix, 'out2a.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.5f', 'size', []);

matrix = [MCres(4)/10,std(MCresb(:,4)/10),MCres(5)/100,std(MCresb(:,5)/100)]';

rowLabels = {'Constant*6\% House Value', '', 'Income*6\% House Value', '' };
matrix2latex_a2(matrix, 'out2b.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.5f', 'size', []);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load resS4uh1 betaM1c betaM2c betaM3c betaM4c...
    dwtpM1 dwtpM2  dwtpM3  dwtpM4...
    dwtpS1 dwtpS2 dwtpS3 swtpS1 swtpS2 swtpS3

load resS4uh0 dwtpS1uh0 dwtpS2uh0 dwtpS3uh0 swtpS1uh0 swtpS2uh0 swtpS3uh0    

load bootcollectres

% put results & se in table format
tab3se = zeros(6,4);
tab3se(1,:) = [dwtpM1(2) dwtpM2(2) dwtpM3(2) dwtpM4(2) ];
tab3se(3,:) = [dwtpM1(3) dwtpM2(3) dwtpM3(3) dwtpM4(3) ];
tab3se(5,:) = [dwtpM1(1) dwtpM2(1) dwtpM3(1) dwtpM4(1) ];

tab3ase = zeros(6,4);
tab3ase(1,:) = [betaM1c(2) betaM2c(2) betaM3c(2) betaM4c(2) ];
tab3ase(3,:) = [betaM1c(3) betaM2c(3) betaM3c(3) betaM4c(3) ];
tab3ase(5,:) = [betaM1c(1) betaM2c(1) betaM3c(1) betaM4c(1) ];


tab4se = zeros(6,3);
tab4se(1,:) = [dwtpS1(2) dwtpS2(2) dwtpS3(2) ];
tab4se(3,:) = [dwtpS1(3) dwtpS2(3) dwtpS3(3) ];
tab4se(5,:) = [dwtpS1(1) dwtpS2(1) dwtpS3(1) ];


tab5se = zeros(6,6);
tab5se(1,:) = [ swtpS1(2) swtpS2(2) swtpS3(2)  dwtpS1(2) dwtpS2(2) dwtpS3(2)];
tab5se(3,:) = [ swtpS1(3) swtpS2(3) swtpS3(3)  dwtpS1(3) dwtpS2(3) dwtpS3(3)];
tab5se(5,:) = [ swtpS1(1) swtpS2(1) swtpS3(1)  dwtpS1(1) dwtpS2(1) dwtpS3(1)];

tab6se = zeros(6,6);
tab6se(1,:) = [ dwtpS1uh0(2) dwtpS2uh0(2) dwtpS3uh0(2)  dwtpS1(2) dwtpS2(2) dwtpS3(2)];
tab6se(3,:) = [ dwtpS1uh0(3) dwtpS2uh0(3) dwtpS3uh0(3)  dwtpS1(3) dwtpS2(3) dwtpS3(3)];
tab6se(5,:) = [ dwtpS1uh0(1) dwtpS2uh0(1) dwtpS3uh0(1)  dwtpS1(1) dwtpS2(1) dwtpS3(1)];

tab7se = zeros(6,3);
tab7se(1,:) = [swtpS1uh0(2) swtpS2uh0(2) swtpS3uh0(2) ];
tab7se(3,:) = [swtpS1uh0(3) swtpS2uh0(3) swtpS3uh0(3) ];
tab7se(5,:) = [swtpS1uh0(1) swtpS2uh0(1) swtpS3uh0(1) ];



  
tab3se(2,:) = [std(dwtpM1b(:,2)) std(dwtpM2b(:,2)) std(dwtpM3b(:,2)) std(dwtpM4b(:,2)) ];
tab3se(4,:) = [std(dwtpM1b(:,3)) std(dwtpM2b(:,3)) std(dwtpM3b(:,3)) std(dwtpM4b(:,3)) ];
tab3se(6,:) = [std(dwtpM1b(:,1)) std(dwtpM2b(:,1)) std(dwtpM3b(:,1)) std(dwtpM4b(:,1)) ];

tab3ase(2,:) = [std(betaM1cb(:,2)) std(betaM2cb(:,2)) std(betaM3cb(:,2)) std(betaM4cb(:,2)) ];
tab3ase(4,:) = [std(betaM1cb(:,3)) std(betaM2cb(:,3)) std(betaM3cb(:,3)) std(betaM4cb(:,3)) ];
tab3ase(6,:) = [std(betaM1cb(:,1)) std(betaM2cb(:,1)) std(betaM3cb(:,1)) std(betaM4cb(:,1)) ];

tab4se(2,:) = [std(dwtpS1b(:,2)) std(dwtpS2b(:,2)) std(dwtpS3b(:,2)) ];
tab4se(4,:) = [std(dwtpS1b(:,3)) std(dwtpS2b(:,3)) std(dwtpS3b(:,3)) ];
tab4se(6,:) = [std(dwtpS1b(:,1)) std(dwtpS2b(:,1)) std(dwtpS3b(:,1)) ];

tab5se(2,:) = [ std(swtpS1b(:,2)) std(swtpS2b(:,2)) std(swtpS3b(:,2))  std(dwtpS1b(:,2)) std(dwtpS2b(:,2)) std(dwtpS3b(:,2))];
tab5se(4,:) = [ std(swtpS1b(:,3)) std(swtpS2b(:,3)) std(swtpS3b(:,3))  std(dwtpS1b(:,3)) std(dwtpS2b(:,3)) std(dwtpS3b(:,3))];
tab5se(6,:) = [ std(swtpS1b(:,1)) std(swtpS2b(:,1)) std(swtpS3b(:,1))  std(dwtpS1b(:,1)) std(dwtpS2b(:,1)) std(dwtpS3b(:,1))];

tab6se(2,:) = [ std(dwtpS1uh0b(:,2)) std(dwtpS2uh0b(:,2)) std(dwtpS3uh0b(:,2))  std(dwtpS1b(:,2)) std(dwtpS2b(:,2)) std(dwtpS3b(:,2))];
tab6se(4,:) = [ std(dwtpS1uh0b(:,3)) std(dwtpS2uh0b(:,3)) std(dwtpS3uh0b(:,3))  std(dwtpS1b(:,3)) std(dwtpS2b(:,3)) std(dwtpS3b(:,3))];
tab6se(6,:) = [ std(dwtpS1uh0b(:,1)) std(dwtpS2uh0b(:,1)) std(dwtpS3uh0b(:,1))  std(dwtpS1b(:,1)) std(dwtpS2b(:,1)) std(dwtpS3b(:,1))];

tab7se(2,:) = [std(swtpS1uh0b(:,2)) std(swtpS2uh0b(:,2)) std(swtpS3uh0b(:,2)) ];
tab7se(4,:) = [std(swtpS1uh0b(:,3)) std(swtpS2uh0b(:,3)) std(swtpS3uh0b(:,3)) ];
tab7se(6,:) = [std(swtpS1uh0b(:,1)) std(swtpS2uh0b(:,1)) std(swtpS3uh0b(:,1)) ];


matrix = tab3se;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', ''};
matrix2latex_a2(matrix, 'out3.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);

matrix = tab3ase;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', ''};
matrix2latex_a2(matrix, 'out3a.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.5f', 'size', []);


matrix = tab4se;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', ''};
matrix2latex_a2(matrix, 'out4.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);

matrix = tab5se;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', ''};
matrix2latex_a2(matrix, 'out5.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);

matrix = tab6se;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', ''};
matrix2latex_a2(matrix, 'out6.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);

matrix = tab7se;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', ''};
matrix2latex_a2(matrix, 'out7.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.2f', 'size', []);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clear all
load resS4uh1 utransparam ptransparam

matrix = [utransparam(1,:); utransparam(5,:)/10; utransparam(3,:); utransparam(4,:); utransparam(2,:)]; 
rowLabels = {'$v^{\tau}$', 'Sales Price', 'Percent White', 'Violent Crime', 'Ozone', };
matrix2latex_a1(matrix, 'oututrans.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.5f', 'size', []);

temp1  = [ptransparam(1); ptransparam(3)*10; ptransparam(4)*10; ptransparam(2)*10; ptransparam(1+4); ptransparam(3+4)*10; ptransparam(4+4)*10; ptransparam(2+4)*10];


load ptranprobs ptranprobs
ind1 = [2 4 5 6 7 8 11 12 13 14 15 16];
temp = ptranprobs;
temp(ind1) = ptranprobs(ind1)*10;

ind2 = [1 2 5 6 7 8 3 4 9 10 13 14 15 16 11 12] ;
temp = temp(ind2);

matrix = temp;
    
rowLabels = {'Sales Price$_{t}$', '', 'Percent White$_{t}$', '', 'Violent Crime$_{t}$', '', 'Ozone$_{t}$', '', 'Sales Price$_{t-1}$', '', 'Percent White$_{t-1}$', '', 'Violent Crime$_{t-1}$', '', 'Ozone$_{t-1}$', '' };
matrix2latex_a2(matrix, 'outptrans.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.3f', 'size', []);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all 
load amtranprobs

matrix = amtranprobs;
rowLabels = {'Percent White$_{t}$', '', 'Violent Crime$_{t}$', '', 'Ozone$_{t}$', '' };
matrix2latex_a2(matrix, 'outamtrans.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.4f', 'size', []);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all
load dyevid dyevids 
load bootcollectres dyevidsb 

temp = zeros(16,2);
for i = 1:8
    temp((i-1)*2+1,:) = dyevids(i,:);
    temp((i-1)*2+2,:) = std(dyevidsb(:,i,:));
end
    
matrix = temp;
rowLabels = {'Percent White', '', 'Violent Crime', '', 'Ozone', '',  'Price', '', 'Lagged Percent White', '', 'Lagged Violent Crime', '', 'Lagged Ozone', '',  'Lagged Price', ''};
columnLabels  = {'Percentage Share', 'Percentage Share'};
matrix2latex_a2(matrix, 'sharereg.tex', 'rowLabels', rowLabels, 'columnLabels', [], 'alignment', 'c', 'format', '%-6.5f', 'size', []);


