function result = s2logit_nohet(y,x,fvar,bstart, maxit,tol)

% modified from code by
% James P. LeSage

if (nargin < 4); error('Wrong # of arguments to logit'); end;
if (nargin > 6); error('Wrong # of arguments to logit'); end;

% maximum likelihood logit estimation
result.meth = 'logit';

b = bstart;

[t k] = size(x);  

if nargin == 4
tol = 0.000001;
maxit = 100;
elseif nargin ==5
tol = 0.000001;
end;

crit = 1.0;
i = ones(t,1);

iter = 1;
while (iter < maxit) & (crit > tol)

exba = fvar.*(exp(x*b));
emxba = 1./exba;
    
tmp = (i+emxba);
pdf = emxba./(tmp.*tmp);
cdf = i./(i+emxba);

tmp = find(cdf <=0);
[n1 n2] = size(tmp);
if n1 ~= 0; cdf(tmp) = 0.00001; end;

tmp = find(cdf >= 1);
[n1 n2] = size(tmp);
if n1 ~= 0; cdf(tmp) = 0.99999; end;

delta = exba./(i+exba);

w =  delta.*(1-delta);
   
% gradient vector for logit 
gs =  (((y-cdf))'*x)';
H = - transpose(w*ones(1,k).*x)*x;

db = -inv(H)*gs;
% stepsize determination
s = 2;
term1 = 0; term2 = 1;
while term2 > term1
 s = s/2;
 term1 = lo_like_s2logit_nohet(b+s*db,y,x,fvar); 
 term2 = lo_like_s2logit_nohet(b+s*db/2,y,x,fvar);
end;

bn = b + s*db;
crit = abs(max(max(db)));
b = bn;
iter = iter + 1;

end; % end of while

like1 = lo_like_s2logit_nohet(b,y,x,fvar); % unrestricted Likelihood
result.beta = b;
result.lik   = like1;% unrestricted Likelihood
result.iter  = iter; % number of iterations
